// pages/signRecord/signRecord.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    sourceUrl: app.baseUrls.testUrl + app.baseUrls.baseImgUrl,
    applyId: '',
    signInfo: {},
    pageType: ''
  },
  getSignInfo: function () {
    var self = this
    app.restAjax.get(app.restAjax.path(app.apis.signRecord, [app.baseUrls.testUrl, self.data.applyId]), {}, {
      headers: {
          token: wx.getStorageSync('token')
      }
    },function (code, data) {
      self.setData({
        signInfo: data
      })
      self.getPageType()
      self.getCulture()
    },function (code, err) {
        console.log(err)
    })
  },
  getPageType: function () {
    var self = this
    app.restAjax.get(app.restAjax.path(app.apis.getPageType, [app.baseUrls.testUrl]), {
      workerCatalog: self.data.signInfo.applyWorkTypeId
    }, {
      headers: {
          token: wx.getStorageSync('token')
      }
    },function (code, data) {
      self.setData({
        pageType: data.parentWorkerCatalog
      })
    },function (code, err) {
        console.log(err)
    })
  },
  getCulture: function () {
    var self = this
    app.restAjax.get(app.restAjax.path(app.apis.getCultrue, [app.baseUrls.testUrl]), {}, {
      headers: {
        token: wx.getStorageSync('token')
      }
    },
    function (code, data) {
      for (let i = 0; i < data.length; i++) {
        if (data[i].dataId == self.data.signInfo.applyCultureLevel) {
          self.setData({
            ['signInfo.applyCultureLevel']: data[i].dataName
          })
        }
      }
    },
    function (code, err) {
      console.log(err)
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      applyId: options.applyId
    })
    this.getSignInfo()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})